| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMException Class Reference

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). More...

Inheritance diagram for DOMException:

[legend]
List of all members.

## Public Types

Public Contants

enum

ExceptionCode {
INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4,
INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8,
NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12,
INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15, VALIDATION_ERR = 16
}

| ExceptionCode. More...

## Public Member Functions

const XMLCh * | getMessage () const
Constructors
| DOMException ()
| Default constructor for DOMException.
| DOMException (short code, const XMLCh *message, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and a message.
| DOMException (const DOMException &other)
| Copy constructor.
Destructor.
virtual | ~DOMException ()
| Destructor for DOMException.

## Public Attributes

Public variables
ExceptionCode | code
| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured.
const XMLCh * | msg
| A string value.

## Protected Attributes

MemoryManager * | fMemoryManager

## Detailed Description

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable).

In general, DOM methods return specific error values in ordinary processing situations, such as out-of-bound errors when using `DOMNodeList`.

Implementations should raise other exceptions under other circumstances. For example, implementations should raise an implementation-dependent exception if a `null` argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Member Enumeration Documentation

enum DOMException::ExceptionCode

ExceptionCode.

`INDEX_SIZE_ERR:` If index or size is negative, or greater than the allowed value.

`DOMSTRING_SIZE_ERR:` If the specified range of text does not fit into a DOMString.

`HIERARCHY_REQUEST_ERR:` If any node is inserted somewhere it doesn't belong.

`WRONG_DOCUMENT_ERR:` If a node is used in a different document than the one that created it (that doesn't support it).

`INVALID_CHARACTER_ERR:` If an invalid or illegal character is specified, such as in a name. See production 2 in the XML specification for the definition of a legal character, and production 5 for the definition of a legal name character.

`NO_DATA_ALLOWED_ERR:` If data is specified for a node which does not support data.

`NO_MODIFICATION_ALLOWED_ERR:` If an attempt is made to modify an object where modifications are not allowed.

`NOT_FOUND_ERR:` If an attempt is made to reference a node in a context where it does not exist.

`NOT_SUPPORTED_ERR:` If the implementation does not support the requested type of object or operation.

`INUSE_ATTRIBUTE_ERR:` If an attempt is made to add an attribute that is already in use elsewhere.

The above are since DOM Level 1

Since:
  DOM Level 1

`INVALID_STATE_ERR:` If an attempt is made to use an object that is not, or is no longer, usable.

`SYNTAX_ERR:` If an invalid or illegal string is specified.

`INVALID_MODIFICATION_ERR:` If an attempt is made to modify the type of the underlying object.

`NAMESPACE_ERR:` If an attempt is made to create or change an object in a way which is incorrect with regard to namespaces.

`INVALID_ACCESS_ERR:` If a parameter or an operation is not supported by the underlying object.

The above are since DOM Level 2

Since:
  DOM Level 2

`VALIDATION_ERR:` If a call to a method such as `insertBefore` or `removeChild` would make the `Node` invalid with respect to "partial validity", this exception would be raised and the operation would not be done.

The above is since DOM Level 2

Since:
  DOM Level 3

Enumeration values:

  INDEX_SIZE_ERR |
  DOMSTRING_SIZE_ERR |
  HIERARCHY_REQUEST_ERR |
  WRONG_DOCUMENT_ERR |
  INVALID_CHARACTER_ERR |
  NO_DATA_ALLOWED_ERR |
  NO_MODIFICATION_ALLOWED_ERR |
  NOT_FOUND_ERR |
  NOT_SUPPORTED_ERR |
  INUSE_ATTRIBUTE_ERR |
  INVALID_STATE_ERR |
  SYNTAX_ERR |
  INVALID_MODIFICATION_ERR |
  NAMESPACE_ERR |
  INVALID_ACCESS_ERR |
  VALIDATION_ERR |

## Constructor & Destructor Documentation

DOMException::DOMException | ( |  | ) |

| Default constructor for DOMException.

DOMException::DOMException | ( | short | code,
|  | const XMLCh * | message,
|  | MemoryManager *const | memoryManager = `XMLPlatformUtils::fgMemoryManager`
| ) |

Constructor which takes an error code and a message.

Parameters:

  | code | The error code which indicates the exception
  | message | The string containing the error message
  | memoryManager | The memory manager used to (de)allocate memory

DOMException::DOMException | ( | const DOMException & | other | ) |

Copy constructor.

Parameters:

  | other | The object to be copied.

virtual DOMException::~DOMException | ( |  | ) | `[virtual]`

| Destructor for DOMException.

## Member Function Documentation

const XMLCh * DOMException::getMessage | ( |  | ) | const

## Member Data Documentation

ExceptionCode DOMException::code

| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured. Reimplemented in DOMRangeException.

MemoryManager* DOMException::fMemoryManager `[protected]`

const XMLCh* DOMException::msg

| A string value. Applications may use this field to hold an error message. The field value is not set by the DOM implementation, meaning that the string will be empty when an exception is first thrown.

The documentation for this class was generated from the following file:

- DOMException.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.